Subject: Re: bug#40390: Rendering problems when using fonts from Guix on foreign distro

From: Ludovic Courtès <[email-masked]>
Date: Mon, 06 Apr 2020 10:05:37 +0200

Hi Evan,

Evan Straw <[email-masked]> skribis:

> I have Guix installed on a foreign distro (Ubuntu 19.10) as a package
> manager, and I am attempting to use fonts installed through Guix for
> applications installed from Guix, such as Emacs and keepassxc. I have
> installed fontconfig and a few font packages. However, I am noticing
> that these fonts seem to be interfering with fonts installed via the
> system's package manager (APT) and are causing rendering problems in
> non-Guix applications such as evince.
>
> The font packages I have installed from Guix are as follows:
>
> evan@virtualplaza:~$ guix package --list-installed | grep font
> font-ubuntu	0.83	out	/gnu/store/6ydn8a96n2zmmrhjckqklfmg83frwl9w-font-ubuntu-0.83
> font-gnu-freefont-ttf	20120503	out	/gnu/store/bp0hagiy6j8r0x11r4arsyv7k61lyqfk-font-gnu-freefont-ttf-20120503
> font-dejavu	2.37	out	/gnu/store/yr42nyxrqkh89fanvii82br6qil4zcbx-font-dejavu-2.37
> gs-fonts	8.11	out	/gnu/store/8ppj83wc1mmrdydh9cy7vqvg0bym8l0q-gs-fonts-8.11
> font-adobe-source-han-sans	1.004	jp	/gnu/store/z9mgamhzwnh73w3y7q9flg54gmzr9kx7-font-adobe-source-han-sans-1.004-jp
> fontconfig	2.13.1	out	/gnu/store/rkq6ipys8hf5hw66jkzzw4nfr6ncq96a-fontconfig-2.13.1
> font-abattis-cantarell	0.111	out	/gnu/store/l0h8n4jn0xhj942gdh28i3rvbbywi613-font-abattis-cantarell-0.111
>
>
> However, when I open a document in evince, the terminal spits out the
> following errors about "cairo scaled fonts":
>
> (evince:19449): Pango-WARNING **: 10:28:58.135: failed to create cairo scaled font, expect ugly output. the offending font is 'Ubuntu 11'

You may need to update the Fontconfig font cache by running:

  fc-cache -fv

(See
<https://guix.gnu.org/manual/en/html_node/Application-Setup.html#X11-Fonts>.)

Does that help?

Thanks,
Ludo’.